Upload logo
curl --request PUT \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdTsUtc": "2023-11-07T05:31:56Z",
"md5": "<string>",
"mimetype": "<string>",
"name": "<string>",
"size": 123,
"url": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Organizations
Upload logo
Requires the organization_settings:write:org scope.
Token types: APP, USER | Required scopes: organization_settings:write:org
PUT
/
identity
/
v1
/
organizations
/
{organizationId}
/
logo
Upload logo
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The organization ID.
Body
multipart/form-data
Response
Returns the uploaded logo file metadata.
Response DTO for an organization's logo.
The unique identifier of the logo asset.
UTC timestamp indicating when the logo was uploaded.
MD5 checksum of the original file.
The MIME type of the original file (e.g., "image/png").
Original filename of the uploaded logo.
File size in bytes.
Relative URL of the endpoint that serves the logo image.
Was this page helpful?